Module java.corba
Package org.omg.CORBA

## Class BAD_QOS

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.BAD_QOS

All Implemented Interfaces:
  Serializable

    public final class BAD_QOS
    extends SystemException

The `BAD_QOS` exception is raised whenever an object cannot support the quality of service required by an invocation parameter that has a quality of service semantics associated with it.

Since:
  J2SE 1.5
See Also:
  documentation on Java IDL exceptions

### Field Summary

### Fields inherited from class org.omg.CORBA.SystemException

`completed, minor`

### Constructor Summary

Constructors
Constructor and Description
`BAD_QOS()` Constructs an `BAD_QOS` exception with minor code set to 0 and CompletionStatus set to COMPLETED_NO.
`BAD_QOS(int minorCode, CompletionStatus completionStatus)` Constructs an `BAD_QOS` exception with the specified minor code and completion status.
`BAD_QOS(String detailMessage)` Constructs an `BAD_QOS` exception with the specified message.
`BAD_QOS(String detailMessage, int minorCode, CompletionStatus completionStatus)` Constructs an `BAD_QOS` exception with the specified message, minor code, and completion status.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class org.omg.CORBA.SystemException

`toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Constructor Detail

#### BAD_QOS

    public BAD_QOS()

Constructs an `BAD_QOS` exception with minor code set to 0 and CompletionStatus set to COMPLETED_NO.

#### BAD_QOS

    public BAD_QOS(int minorCode,
                   CompletionStatus completionStatus)

Constructs an `BAD_QOS` exception with the specified minor code and completion status.

Parameters:
  `minorCode` - minor code.
  `completionStatus` - completion status.

#### BAD_QOS

    public BAD_QOS(String detailMessage)

Constructs an `BAD_QOS` exception with the specified message.

Parameters:
  `detailMessage` - string containing a detailed message.

#### BAD_QOS

    public BAD_QOS(String detailMessage,
                   int minorCode,
                   CompletionStatus completionStatus)

Constructs an `BAD_QOS` exception with the specified message, minor code, and completion status.

Parameters:
  `detailMessage` - string containing a detailed message.
  `minorCode` - minor code.
  `completionStatus` - completion status.